<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/diseases/Salmonella.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/db6/_salmonella_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Salmonella.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/db6/_salmonella_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d5d/class_salmonella_mdfr.html">SalmonellaMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">AGENT_THRESHOLD_ACTIVATE</a> = 60;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">AGENT_THRESHOLD_DEACTIVATE</a> = 20;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a31e8585300dad06b781e24f4f0e6eba7">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a31e8585300dad06b781e24f4f0e6eba7">CHANCE_OF_VOMIT</a> = 10;          <span class="comment">// base vomit chance</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#af3c55bf322a4f716539964e94af0b35b">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#af3c55bf322a4f716539964e94af0b35b">CHANCE_OF_VOMIT_AGENT</a> = 20;    <span class="comment">// adjusted by the agent count</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">WATER_DRAIN_FROM_VOMIT</a> = 450;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">ENERGY_DRAIN_FROM_VOMIT</a> = 310;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a7104c1d95cb73498446b0a897be74fee">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a7104c1d95cb73498446b0a897be74fee">STOMACH_MIN_VOLUME</a> = 200;    <span class="comment">// min volume of stomach for vomit symptom</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a288c39e3b73a40acb2fded9f802fa6ee">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a288c39e3b73a40acb2fded9f802fa6ee">EVENT_INTERVAL_MIN</a> = 12;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#ab0c1f36fcaeee84c27c17909ce65d65a">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#ab0c1f36fcaeee84c27c17909ce65d65a">EVENT_INTERVAL_MAX</a> = 18;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">m_Time</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">   18</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">m_NextEvent</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#ac39385d186a7e72a11a879bd8f627e4b">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#ac39385d186a7e72a11a879bd8f627e4b">Init</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>    = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_SALMONELLA;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a1bebccadf66fa532467e69a0e392938e">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#a1bebccadf66fa532467e69a0e392938e">GetDebugText</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> (<span class="stringliteral">&quot;Activate threshold: &quot;</span>+<a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">AGENT_THRESHOLD_ACTIVATE</a> + <span class="stringliteral">&quot;| &quot;</span> +<span class="stringliteral">&quot;Deativate threshold: &quot;</span>+<a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">AGENT_THRESHOLD_DEACTIVATE</a>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#aa2fb46a47a5ba4de1f17926161ad8e08">   33</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#aa2fb46a47a5ba4de1f17926161ad8e08">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span>(player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.SALMONELLA) &gt;= <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">AGENT_THRESHOLD_ACTIVATE</a>) </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a4840256e4c5971e580a03b9437f04f94">   45</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#a4840256e4c5971e580a03b9437f04f94">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="comment">//if( player.m_NotifiersManager ) player.m_NotifiersManager.ActivateByType(eNotifiers.NTF_SICK);</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        player.IncreaseDiseaseCount();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#ad88c1a6f7174cba1bd548a7cb172cefc">   51</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#ad88c1a6f7174cba1bd548a7cb172cefc">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        player.DecreaseDiseaseCount();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#acc8c227822c889872713bfda7c7a0328">   56</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#acc8c227822c889872713bfda7c7a0328">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span>( player.GetSingleAgentCount( <a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.SALMONELLA ) &lt;= <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">AGENT_THRESHOLD_DEACTIVATE</a> ) </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/d5d/class_salmonella_mdfr.html#a221d2612d81bd9309578d8c2901bf97a">   68</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d5d/class_salmonella_mdfr.html#a221d2612d81bd9309578d8c2901bf97a">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordtype">float</span> stomach_volume = player.m_PlayerStomach.GetStomachVolume();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span>( stomach_volume &gt;= <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a7104c1d95cb73498446b0a897be74fee">STOMACH_MIN_VOLUME</a> )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordtype">int</span> roll = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>( 0, 100 );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordtype">int</span> chance_of_vomit = <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a31e8585300dad06b781e24f4f0e6eba7">CHANCE_OF_VOMIT</a> + ( <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#af3c55bf322a4f716539964e94af0b35b">CHANCE_OF_VOMIT_AGENT</a> * player.GetSingleAgentCountNormalized( <a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.SALMONELLA ) );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">if</span>( roll &lt; chance_of_vomit )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                <a class="code hl_class" href="../../d9/db3/class_symptom_base.html">SymptomBase</a> symptom = player.GetSymptomManager().QueueUpPrimarySymptom( SymptomIDs.SYMPTOM_VOMIT );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                <span class="keywordflow">if</span>( symptom )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                    symptom.<a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a8016dbaee248c510542c852588074204">SetDuration</a>( 5 );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                    <span class="comment">// figure something more clever</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatWater().Get() &gt; <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">WATER_DRAIN_FROM_VOMIT</a> )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatWater().Add( -1 * <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">WATER_DRAIN_FROM_VOMIT</a> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatEnergy().Get() &gt; <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">ENERGY_DRAIN_FROM_VOMIT</a> )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatEnergy().Add( -1 * <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">ENERGY_DRAIN_FROM_VOMIT</a> );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">m_Time</a> += deltaT;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">m_Time</a> &gt;= <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">m_NextEvent</a> )</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">m_Time</a> = 0;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">m_NextEvent</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#a288c39e3b73a40acb2fded9f802fa6ee">EVENT_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../dc/d5d/class_salmonella_mdfr.html#ab0c1f36fcaeee84c27c17909ce65d65a">EVENT_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_PAIN_LIGHT);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>};</div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html">SalmonellaMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00001">Salmonella.c:2</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a1bebccadf66fa532467e69a0e392938e"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a1bebccadf66fa532467e69a0e392938e">SalmonellaMdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00028">Salmonella.c:28</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a221d2612d81bd9309578d8c2901bf97a"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a221d2612d81bd9309578d8c2901bf97a">SalmonellaMdfr::OnTick</a></div><div class="ttdeci">override protected void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00068">Salmonella.c:68</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a288c39e3b73a40acb2fded9f802fa6ee"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a288c39e3b73a40acb2fded9f802fa6ee">SalmonellaMdfr::EVENT_INTERVAL_MIN</a></div><div class="ttdeci">static const float EVENT_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00012">Salmonella.c:12</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a2d9d09aa1e0e31c99d4cbb5a85d14c1f"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">SalmonellaMdfr::WATER_DRAIN_FROM_VOMIT</a></div><div class="ttdeci">static const int WATER_DRAIN_FROM_VOMIT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00008">Salmonella.c:8</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a31e8585300dad06b781e24f4f0e6eba7"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a31e8585300dad06b781e24f4f0e6eba7">SalmonellaMdfr::CHANCE_OF_VOMIT</a></div><div class="ttdeci">static const int CHANCE_OF_VOMIT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00006">Salmonella.c:6</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a4840256e4c5971e580a03b9437f04f94"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a4840256e4c5971e580a03b9437f04f94">SalmonellaMdfr::OnActivate</a></div><div class="ttdeci">override protected void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00045">Salmonella.c:45</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a6b8fd217ea33d8d59c05195b010d697a"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">SalmonellaMdfr::ENERGY_DRAIN_FROM_VOMIT</a></div><div class="ttdeci">static const int ENERGY_DRAIN_FROM_VOMIT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00009">Salmonella.c:9</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_a7104c1d95cb73498446b0a897be74fee"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#a7104c1d95cb73498446b0a897be74fee">SalmonellaMdfr::STOMACH_MIN_VOLUME</a></div><div class="ttdeci">static const float STOMACH_MIN_VOLUME</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00010">Salmonella.c:10</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_aa2fb46a47a5ba4de1f17926161ad8e08"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#aa2fb46a47a5ba4de1f17926161ad8e08">SalmonellaMdfr::ActivateCondition</a></div><div class="ttdeci">override protected bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00033">Salmonella.c:33</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_aa4b73d392d4bf427ab14fed3fc7e6eb7"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">SalmonellaMdfr::m_NextEvent</a></div><div class="ttdeci">float m_NextEvent</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00018">Salmonella.c:18</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_ab0c1f36fcaeee84c27c17909ce65d65a"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#ab0c1f36fcaeee84c27c17909ce65d65a">SalmonellaMdfr::EVENT_INTERVAL_MAX</a></div><div class="ttdeci">static const float EVENT_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00013">Salmonella.c:13</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_ac39385d186a7e72a11a879bd8f627e4b"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#ac39385d186a7e72a11a879bd8f627e4b">SalmonellaMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00020">Salmonella.c:20</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_acc8c227822c889872713bfda7c7a0328"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#acc8c227822c889872713bfda7c7a0328">SalmonellaMdfr::DeactivateCondition</a></div><div class="ttdeci">override protected bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00056">Salmonella.c:56</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_ad88c1a6f7174cba1bd548a7cb172cefc"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#ad88c1a6f7174cba1bd548a7cb172cefc">SalmonellaMdfr::OnDeactivate</a></div><div class="ttdeci">override protected void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00051">Salmonella.c:51</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_ae7008c80856345a0691d4d1c57ffc752"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">SalmonellaMdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00003">Salmonella.c:3</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_aea7f2abd35b915397dea7d77ae2bbffc"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">SalmonellaMdfr::m_Time</a></div><div class="ttdeci">float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00017">Salmonella.c:17</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_aec167b8e51ec15ba52d5dea92208cfc2"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">SalmonellaMdfr::AGENT_THRESHOLD_DEACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_DEACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00004">Salmonella.c:4</a></div></div>
<div class="ttc" id="aclass_salmonella_mdfr_html_af3c55bf322a4f716539964e94af0b35b"><div class="ttname"><a href="../../dc/d5d/class_salmonella_mdfr.html#af3c55bf322a4f716539964e94af0b35b">SalmonellaMdfr::CHANCE_OF_VOMIT_AGENT</a></div><div class="ttdeci">static const int CHANCE_OF_VOMIT_AGENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db6/_salmonella_8c_source.html#l00007">Salmonella.c:7</a></div></div>
<div class="ttc" id="aclass_symptom_base_html"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00001">StateBase.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a8016dbaee248c510542c852588074204"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a8016dbaee248c510542c852588074204">SymptomBase::SetDuration</a></div><div class="ttdeci">void SetDuration(float duration)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00080">StateBase.c:80</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_ca7d4b78184f31e916245373efccd52e.html">diseases</a></li><li class="navelem"><a class="el" href="../../d7/db6/_salmonella_8c.html">Salmonella.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
